Autore Topic: Trasferimento sito: Problemi su Versione 1.0.15  (Letto 4143 volte)

Offline Donals

  • Nuovo arrivato
  • *
  • Post: 30
    • Mostra profilo
Trasferimento sito: Problemi su Versione 1.0.15
« il: 03 Apr 2013, 17:39:28 »
Ciao!
Ho rinstallato il sito (ver.1.0.15) su altro Host, e dovrei iniziare la migrazione verso 1.5; tutto funziona perfettamente,ad eccezione della pagina di "contatto", che genera l'errore:

Fatal error:  Cannot redeclare quoted_printable_encode() in /home/mhd-01/www.miosito.it/htdocs/includes/vcard.class.php on line 74

Mentre nel pannello di controllo mi viene segnalato questo rischio:

Le seguenti impostazioni PHP Server Security Settings non sono ottimali per la Sicurezza raccomandiamo quindi di modificarle:
  Impostazione PHP magic_quotes_gpc setting `OFF` invece di `ON`               

Come posso fare per correggere questi errori?!
Ringrazio anticipatamente
Saluti

Offline hapax

  • Instancabile
  • ******
  • Post: 3005
  • Sesso: Maschio
    • Mostra profilo
Re:Trasferimento sito: Problemi su Versione 1.0.15
« Risposta #1 il: 03 Apr 2013, 19:41:29 »
...

il problema sta nella versione php del nuovo hosting

scarica il fix

http://www.joomla.it/download-della-community/item/227-fix-per-php-53-con-joomla-10.html

una volta scaricato il file zippato..estrai i 2 file php

e sostituiscili con i rispettivi presenti nelle cartelle:

/includes/Cache/Lite/Function.php
/includes/vcard.class.php

ciao

 :)
- scegliere con attenzione la sezione in cui aprire la discussione
- descrivere l'ambiente in cui si verifica il problema (se il problema su un sito remoto inserite il link al sito)
- se il problema viene poi risolto, metti per cortesia [RISOLTO]

Offline Donals

  • Nuovo arrivato
  • *
  • Post: 30
    • Mostra profilo
Re:Trasferimento sito: Problemi su Versione 1.0.15
« Risposta #2 il: 04 Apr 2013, 13:26:49 »
Ciao.
Ho corretto come indicazioni, il problema si risolto per quanto concerne la pagina di contatto, mentre permane ancora il problema sicurezza:
Le seguenti impostazioni PHP Server Security Settings non sono ottimali per la Sicurezza raccomandiamo quindi di modificarle:
  Impostazione PHP magic_quotes_gpc setting `OFF` invece di `ON`               e non so come risolverlo...hai altre soluzioni??
Grazie!


 

Torna su